/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.list.type.internal.search.spi.model.index.contributor;

import com.liferay.list.type.model.ListTypeEntry;
import com.liferay.portal.kernel.search.Document;
import com.liferay.portal.kernel.search.Field;
import com.liferay.portal.search.spi.model.index.contributor.ModelDocumentContributor;

import org.osgi.service.component.annotations.Component;

/**
 * @author Carolina Barbosa
 */
@Component(
	immediate = true,
	property = "indexer.class.name=com.liferay.list.type.model.ListTypeEntry",
	service = ModelDocumentContributor.class
)
public class ListTypeEntryModelDocumentContributor
	implements ModelDocumentContributor<ListTypeEntry> {

	@Override
	public void contribute(Document document, ListTypeEntry listTypeEntry) {
		document.addLocalizedText(Field.NAME, listTypeEntry.getNameMap());
		document.addText("key", listTypeEntry.getKey());
		document.addKeyword(
			"listTypeDefinitionId", listTypeEntry.getListTypeDefinitionId());
		document.addLocalizedKeyword(
			"localized_name", listTypeEntry.getNameMap(), true, true);
		document.remove(Field.USER_NAME);
	}

}